-- DungeonAchievementTracker.lua
-- Author: KiLLerBoy_001

--Statics
local AchievementIDsPerInstanceMapID = {
	-- Eye of Azshara
	["1456"] = {10456,10457,10458},
	-- Neltharion's Lair
	["1458"] = {10996,10875},
	-- Darkheart Thicket
	["1466"] = {10766,10769},
	-- Halls of Valor
	["1477"] = {10544,10542,10543},
	-- Maw of Souls
	["1492"] = {10413,10411,10412},
	-- Vault of the Wardens
	["1493"] = {10679,10680,10707},
	-- Black Rook Hold
	["1501"] = {10710,10709,10711},
	-- The Arcway
	["1516"] = {10775,10773,10776},
	-- Assault on Violet Hold
	["1544"] = {10554,10553},
}

-- set up Frames that will listen for events
local EnteringWorldEventFrame


EnteringWorldEventFrame = CreateFrame('Frame')
EnteringWorldEventFrame:RegisterEvent('PLAYER_ENTERING_WORLD') 
EnteringWorldEventFrame:SetScript('OnEvent', InstanceCheck)


local function InstanceCheck(self, event, ...)
	local InstanceInfo = GetInstanceInfo()
	if InstanceInfo[8] = 1456 or 1458 or 1466 or 1477 or 1492 or 1493 or 1501 or 1516 or 1544 then
		local Classes = ClassesByTokenID[ID]
		local Achievements = AchievementIDsPerInstanceMapID[InstanceInfo[8]]
		-- Show UI 
		print(Achievements)
	end 
end
		